> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# L4 Orderbook snapshot

> Get complete orderbook snapshot for all pairs.

This endpoint provides a complete snapshot of the orderbook for all trading pairs with approximately **5-second freshness**.

<Info>
  **Compression Required**

  This endpoint requires [brotli compression](https://github.com/google/brotli) for efficient data transfer.
</Info>

## Response Structure

The response is an array of orderbook snapshots, where each entry contains:

* **Pair identifier** - Trading pair (e.g., `@1`, `@10`)
* **Bids array** - Buy orders sorted by price
* **Asks array** - Sell orders sorted by price

### Example Response

Freshness is \~5s.

```json theme={null}
[
  [
    "0G", <-- Pair
    {
      "book_orders": [
        [ <-- Bids
          [
            "0x010461c14e146ac35fe42271bdc1134ee31c703a", <-- User
            {
              "coin": "0G",
              "side": "B",
              "limitPx": "2.1293",
              "sz": "779.0",
              "oid": 201304032517,
              "timestamp": 1760539060740,
              "triggerCondition": "N/A",
              "isTrigger": false,
              "triggerPx": "0.0",
              "children": [],
              "isPositionTpsl": false,
              "reduceOnly": false,
              "orderType": "Limit",
              "origSz": "779.0",
              "tif": "Alo",
              "cloid": null
            }
          ],
          [
            "0x31ca8395cf837de08b24da3f660e77761dfb974b", <-- User
            {
              "coin": "0G",
              "side": "B",
              "limitPx": "2.1293",
              "sz": "785.0",
              "oid": 201304032627,
              "timestamp": 1760539060795,
              "triggerCondition": "N/A",
              "isTrigger": false,
              "triggerPx": "0.0",
              "children": [],
              "isPositionTpsl": false,
              "reduceOnly": false,
              "orderType": "Limit",
              "origSz": "785.0",
              "tif": "Alo",
              "cloid": null
            }
          ],
        ],
        [ <-- Asks
          ...
        ]
```


## OpenAPI

````yaml /_openapi/hyperliquid.json GET /api/v1/developer/trading/hyperliquid/orderbook/snapshot
openapi: 3.0.1
info:
  title: HyperLiquid API
  version: 0.1.0
  description: >-
    1-1 match for the HyperLiquid APIs. All requests are made to the info
    endpoint with different request types.
servers:
  - url: https://api.allium.so
    description: Allium API Server
security: []
paths:
  /api/v1/developer/trading/hyperliquid/orderbook/snapshot:
    get:
      tags:
        - HYPERLIQUID
        - DEVELOPER
      summary: Orderbook Snapshot Endpoint
      description: Returns a snapshot of the orderbook for all pairs.
      operationId: >-
        hyperliquid_orderbook_snapshot_api_v1_developer_hyperliquid_orderbook_snapshot_get
      responses:
        '200':
          description: Successful response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            type: object
            properties:
              loc:
                type: array
                items:
                  oneOf:
                    - type: string
                    - type: integer
              msg:
                type: string
              type:
                type: string
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````